Ingres Hibernate dialect for EAP 4.3.0 GA CP04

Description

This is the Ingres dialect that was used for the EAP 4.3.0 GA CP04 tests. It's based on the latest dialect from the trunk contains changes for the functions current_time, current_timestamp and current_date. The dialect also overrides the method getForUpdateString() to disable the use of "SELECT...FOR UPDATE" statements.

Environment

Hibernate Core 3.2.4.SP1 CP07, Ingres 9.2.0

Activity

Show:
Gail Badner
August 4, 2009, 8:13 AM
Strong Liu
August 9, 2009, 2:39 PM

wait ingres folks provide the patch

Gail Badner
August 19, 2009, 11:02 PM

Hi Enrico,

I saw from an email thread that you were having problems with mapping Blob and Clob.

The fix for (currently applied to trunk only) may have resolved some problems you saw.

Please try building your updated IngresDialect in trunk and run the unit tests. If you are not able to configure IngresDialect so that BlobLocatorTest, ClobLocatorTest, MaterializedBlobTest, and MaterializedClobTest pass, then IngresDialect will need to be updated to override:

public boolean supportsExpectedLobUsagePattern() {
return false;
}

Please let us know your test results using trunk. If you need to update your dialect, please attach a patch (e.g., using "svn diff") against IngresDialect in trunk (http://anonsvn.jboss.org/repos/hibernate/core/trunk/).

Thanks,
Gail

Enrico Schenk
August 20, 2009, 3:07 PM

Hi Gail,

thank you for pointing me to HHH-3892. I'll rerun the tests and update the dialect if required. I'll provide the patch afterwards.

Thanks,
Enrico

Steve Ebersole
March 21, 2011, 7:07 PM

Bulk closing stale resolved issues

Fixed

Assignee

Strong Liu

Reporter

Enrico Schenk

Fix versions

Labels

None

backPortable

None

Suitable for new contributors

None

Requires Release Note

Affirmative

Pull Request

None

backportDecision

None

Components

Affects versions

Priority

Minor
Configure